Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# PICurrentA.cpp File Reference

`#include "PICurrentC.h"`
`#include "tao/Null_RefCount_Policy.h"`
`#include "tao/TypeCode_Constants.h"`
`#include "tao/Alias_TypeCode_Static.h"`
`#include "tao/Objref_TypeCode_Static.h"`
`#include "tao/String_TypeCode_Static.h"`
`#include "tao/CDR.h"`
`#include "tao/Any.h"`
`#include "tao/Any_Impl_T.h"`

Include dependency graph for PICurrentA.cpp:

## Namespaces
namespace | PortableInterceptor
namespace | TAO
## Functions
template<>
CORBA::Boolean | Any_Impl_T< PortableInterceptor::Current >::to_object (CORBA::Object_ptr &_tao_elem) const
template<>
CORBA::Boolean | Any_Impl_T< PortableInterceptor::Current >::marshal_value (TAO_OutputCDR &)
template<>
CORBA::Boolean | Any_Impl_T< PortableInterceptor::Current >::demarshal_value (TAO_InputCDR &)
void | operator<<= (CORBA::Any &_tao_any, PortableInterceptor::Current_ptr _tao_elem)
void | operator<<= (CORBA::Any &_tao_any, PortableInterceptor::Current_ptr *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, PortableInterceptor::Current_ptr &_tao_elem)
## Variables
TAO::TypeCode::Objref< char const *, TAO::Null_RefCount_Policy > | _tao_tc_PortableInterceptor_Current (CORBA::tk_local_interface,"IDL:omg.org/PortableInterceptor/Current:1.0","Current")
::CORBA::TypeCode_ptr const | _tc_Current

## Function Documentation

template<>
CORBA::Boolean Any_Impl_T< PortableInterceptor::Current >::demarshal_value | ( | TAO_InputCDR & |  | ) |

template<>
CORBA::Boolean Any_Impl_T< PortableInterceptor::Current >::marshal_value | ( | TAO_OutputCDR & |  | ) |

template<>
CORBA::Boolean Any_Impl_T< PortableInterceptor::Current >::to_object | ( | CORBA::Object_ptr & | _tao_elem | ) | const

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | PortableInterceptor::Current_ptr * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | PortableInterceptor::Current_ptr | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | PortableInterceptor::Current_ptr & | _tao_elem
| ) |

## Variable Documentation

TAO::TypeCode::Objref<char const *, TAO::Null_RefCount_Policy> _tao_tc_PortableInterceptor_Current(CORBA::tk_local_interface,"IDL:omg.org/PortableInterceptor/Current:1.0","Current")`[static]`

TAO_Export::CORBA::TypeCode_ptr const PortableInterceptor::_tc_Current

| Initial value:
        &_tao_tc_PortableInterceptor_Current